package config

import (
	"fmt"
	"runtime"
	"strings"
)

var (
	VersionDesc string
	Vendor      string
)

const (
	Version = "3.4.1"
)

func init() {
	if len(Vendor) == 0 {
		Vendor = "GitHub"
	}
	VersionDesc = fmt.Sprintf("git-lfs/%s (%s; %s %s; go %s)",
		Version,
		Vendor,
		runtime.GOOS,
		runtime.GOARCH,
		strings.Replace(runtime.Version(), "go", "", 1),
	)
}
